#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE3,0x65,0x16,0x64,0xA3,0xBF,0xBF,0x4A,0xEB,0xC9,0x80,0x63,
		0x40,0x6A,0x9D,0x1A,0xA2,0xAD,0xE3,0xDA,0x52,0x91,0x56,0x27,
		0x79,0x7C,0x8C,0x2B,0x04,0xE6,0xD1,0x22,0x7F,0xBF,0x9C,0x55,
		0x8F,0xEE,0x37,0x9E,0x86,0xEC,0x9B,0x45,0x4B,0x90,0xE8,0x17,
		0x3B,0x4F,0xC0,0x68,0x22,0x83,0x7D,0x75,0x40,0xAC,0x53,0xC4,
		0x4D,0xBF,0xC6,0xF3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
